package com.miaxis.controller.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 控制器报价对象 controller_info
 *
 * @author miaxis
 * @date 2023-01-29
 */
@Data
@TableName("controller_info")
@ApiModel(value = "ControllerInfo", description = "控制器报价对象 controller_info")
public class ControllerInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 品牌 */
    @Excel(name = "品牌",sort=1)
    @TableField("brand")
    @ApiModelProperty(value = "品牌")
    private String brand;

    /** 控制器型号 */
    @Excel(name = "控制器型号",sort=2)
    @TableField("controller_model")
    @ApiModelProperty(value = "控制器型号")
    private String controllerModel;

    /** 控制器价格 */
    @Excel(name = "控制器价格",sort=3)
    @TableField("controller_price")
    @ApiModelProperty(value = "控制器价格")
    private BigDecimal controllerPrice;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setBrand(String brand){
        this.brand = brand;
    }

    public String getBrand(){
        return brand;
    }
    public void setControllerModel(String controllerModel){
        this.controllerModel = controllerModel;
    }

    public String getControllerModel(){
        return controllerModel;
    }
    public void setControllerPrice(BigDecimal controllerPrice){
        this.controllerPrice = controllerPrice;
    }

    public BigDecimal getControllerPrice(){
        return controllerPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("brand", getBrand())
            .append("controllerModel", getControllerModel())
            .append("controllerPrice", getControllerPrice())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
